Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/PostTXMHOMEInstallationStep.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/PostTXMHOMEInstallationStep.java	(revision 3824)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/PostTXMHOMEInstallationStep.java	(revision 3825)
@@ -30,19 +30,19 @@
 		Version extcurrentVersion = BundleUtils.getBundleVersion(bundle_id);
 		String extinstalledVersionString = Toolbox.getPreference(getName());
 		if (extinstalledVersionString.isEmpty()) {
-			extinstalledVersionString = "0.0.0";
+			extinstalledVersionString = "0.0.0"; //$NON-NLS-1$
 		}
 		Version extinstalledVersion = new Version(extinstalledVersionString);
-		Log.fine(TXMCoreMessages.bind("{0} installed version: {1}.", getName(), extinstalledVersion));
+		Log.fine(TXMCoreMessages.bind("{0} installed version: {1}.", getName(), extinstalledVersion)); //$NON-NLS-1$
 		//System.out.println("Toolbox.startWorkspace(): workspace location = " + location);
 		boolean extDoUpdateworkspace = extcurrentVersion.compareTo(extinstalledVersion) > 0;
 		if (needsReinstall(workspace) || extDoUpdateworkspace) { // || "org.txm.groovy.core".equals(bundle_id)
-			Log.finer("Installing extension "+getName()+" reasons: workspace or extDoUpdateworkspace="+extDoUpdateworkspace);
+			Log.finer("Installing extension "+getName()+" reasons: workspace or extDoUpdateworkspace="+extDoUpdateworkspace); //$NON-NLS-1$ //$NON-NLS-2$
 			if (do_install(workspace)) {
 				Toolbox.setPreference(getName(), extcurrentVersion.toString()); // SAVE the installed version
 			}
 		} else {
-			Log.finer(" no need to re-install "+getName());
+			Log.finer(" no need to re-install "+getName()); //$NON-NLS-1$
 		}
 		return true;
 	}
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/messages/messages.properties	(revision 3824)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/messages/messages.properties	(revision 3825)
@@ -73,7 +73,12 @@
 errorDuringWorkspaceInitializationColonP0=** Failed to initialize workspace\: {0}.
 errorLoadingWorkspaceFromFileColonP0=** Failed to read workspace from file {0}.
 errorRegDirColon=** Error in the registry folder\: 
+ErrorToolboxIsNotCorrectlyInitializedAborting=Error: Toolbox not correctly initialized. Aborting workspace initialization.
 ErrorWhileComputingP1DbldotP1=** Error while computing {0}\: {1}.
+ErrorWhileStartingEngines=Error while starting engines.
+ErrorWhileStartingEnginesOfTheP0EnginesManager=Error while starting engines of the {0}  engines manager.
+ErrorWorkspaceNotUpdatedIsNull=Error: workspace not updated (is null).
+ExceptionWhileInstallingExtensionIsP0=Exception while installing extension: {0}.
 errorWhileConnectingToSearchEngine=** Failed to connect to the search engine\: 
 errorWhileGettingMetadatasFromBaseimportMetadatasColon=** Error while retrieving metadata of the corpus\: 
 errorWhileImportingDataColonP0=
@@ -94,6 +99,7 @@
 failedToImportLexicalTable=
 failedToLoadBaseParametersFromTheP0File=** Failed to load the corpus parameters from the {0} file.
 FailedToOpenTheP0Editor=** Failed to open editor {0}.
+FailToInstallExtensionP0FilesInP1=Fail to install {0} files in {1}
 failedToRestorePartition=** Failed to restore partition {0} of corpus {1}\: {2}
 failedToRestoreSubcorpus=** Failed to restore subcorpus {0} of corpus {1}\: {2}
 failedToStartMemCqiClientColon=** Failed to start CQP in memory mode.
@@ -113,6 +119,7 @@
 initializationOfGroovyImportScriptRunner=Initialization of GroovyImportScriptRunner
 initializingCorpora=Initializing corpora ({0}/{1})...
 initializingToolbox=Initializing Toolbox...
+InitializingToolbox=initializing Toolbox...
 iOColon=IO\: 
 isMissing=''{0}'' can not be found.
 isNotAValidCQPIDForACorpusItMustBeInUppercaseCharacters=\ is not a valid CQP identifier for a corpus. It must be in uppercase characters.
@@ -156,6 +163,7 @@
 theFocusIsEmptyOrNull=** The focus is empty or null.
 theP0PartFocusDoesntBelongToPartitionP1=There is no {0} part in the {1} partition.
 ToolboxStatesWorkspaceColonP0=\ Workspace\: {0}
+TXMWasNotCorrectlyClosedSeeTheP0ReportFile=TXM was not correctly closed, see the report in the ''{0}'' file
 tP0vP1fminP2fmaxP3=
 txmDirectoryIsMissingColonP0=The ''txm'' folder {0} is missing
 tXMNeedsFoldersColonP0P1P2AndP3=TXM needs the folders\: {0}, {1}, {2} and {3}.
@@ -165,6 +173,7 @@
 warningColonCantLoadCorpus=Warning\: can not load the corpus 
 warningColonDuplicateQueryEntryColonP0=Warning\: the {0} query is duplicated.
 warningColonQueryFailedColonP0=Warning\: query {0} failed.
+WarningWorkspaceCannotFoundTheRedistDirectoryP0=Warning: Workspace cannot found redist directory: {0}
 wrongLoginOrPasswordOrPortColon=Wrong login, password, host or port in \: {0}, {1}, {2} ,{3}.
 xmlValidationColonP0DoesNotExists=XML Validation\: {0} does not exists ?
 xmlValidationColonP0IsADirectory=XML Validation\: {0} is a folder.
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 3824)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 3825)
@@ -100,6 +100,8 @@
 	public static String corpusUpdateDoneInP0;
 	
 	public static String ToolboxStatesWorkspaceColonP0;
+
+	public static String TXMWasNotCorrectlyClosedSeeTheP0ReportFile;
 	
 	public static String binaryDirectoryP0NotFound;
 	
@@ -349,13 +351,29 @@
 	
 	public static String computingParentsOfP0;
 
+	public static String ErrorToolboxIsNotCorrectlyInitializedAborting;
+
 	public static String ErrorWhileComputingP1DbldotP1;
 
+	public static String ErrorWhileStartingEngines;
+
+	public static String ErrorWhileStartingEnginesOfTheP0EnginesManager;
+
+	public static String ErrorWorkspaceNotUpdatedIsNull;
+
+	public static String ExceptionWhileInstallingExtensionIsP0;
+
 	public static String FailedToCallTheP0HyperlinkedCommandWithP1AndTheP2Parameters;
 
 	public static String FailedToOpenTheP0Editor;
 
+	public static String FailToInstallExtensionP0FilesInP1;
+
+	public static String InitializingToolbox;
+
 	public static String P0DblDotP1;
+
+	public static String WarningWorkspaceCannotFoundTheRedistDirectoryP0;
 	
 	/**
 	 * Binds the given message's substitution locations with the given string values.
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/CorpusNature.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/CorpusNature.java	(revision 3824)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/CorpusNature.java	(revision 3825)
@@ -13,7 +13,7 @@
  */
 public class CorpusNature implements IProjectNature {
 	//
-	public static final String NATURE_ID = "org.txm.core.CorpusNature";
+	public static final String NATURE_ID = "org.txm.core.CorpusNature"; //$NON-NLS-1$
 	
 	/**
 	 * the eclipse project pointing to the TXM corpus project
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/ToolboxApplication.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/ToolboxApplication.java	(revision 3824)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/ToolboxApplication.java	(revision 3825)
@@ -39,7 +39,7 @@
 			
 			
 			
-			String[] pargs = {"-application", "org.txm.core.Toolbox", "-data", "/home/mdecorde/workspace047/../runtime-rcpapplication.product", "-configuration", "file:/home/mdecorde/workspace047/.metadata/.plugins/org.eclipse.pde.core/rcpapplication.product/", "-dev", "file:/home/mdecorde/workspace047/.metadata/.plugins/org.eclipse.pde.core/rcpapplication.product/dev.properties", "-os", "linux", "-ws", "gtk", "-arch", "x86_64", "-nl", "fr_FR", "-consoleLog", "-run"};
+			String[] pargs = {"-application", "org.txm.core.Toolbox", "-data", "/home/mdecorde/workspace047/../runtime-rcpapplication.product", "-configuration", "file:/home/mdecorde/workspace047/.metadata/.plugins/org.eclipse.pde.core/rcpapplication.product/", "-dev", "file:/home/mdecorde/workspace047/.metadata/.plugins/org.eclipse.pde.core/rcpapplication.product/dev.properties", "-os", "linux", "-ws", "gtk", "-arch", "x86_64", "-nl", "fr_FR", "-consoleLog", "-run"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$ //$NON-NLS-9$ //$NON-NLS-10$ //$NON-NLS-11$ //$NON-NLS-12$ //$NON-NLS-13$ //$NON-NLS-14$ //$NON-NLS-15$ //$NON-NLS-16$ //$NON-NLS-17$ //$NON-NLS-18$
 			EclipseStarter.main(pargs);
 //			System.out.println("plugins: "+Arrays.toString(Platform.getPluginRegistry().getPluginDescriptors()));
 //			System.out.println("ext pts: "+Arrays.toString(Platform.getPluginRegistry().getExtensionPoints()));
@@ -71,7 +71,7 @@
 		started = true;
 		while (goOn) {
 			Thread.sleep(1000);
-			System.out.println("T"+started);
+			System.out.println("T"+started); //$NON-NLS-1$
 		}
 		started = false;
 		return IApplicationContext.EXIT_ASYNC_RESULT;
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/Toolbox.java	(revision 3824)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/Toolbox.java	(revision 3825)
@@ -89,7 +89,7 @@
  */
 public class Toolbox {
 	
-	public static final DateFormat dateformat = new SimpleDateFormat("yyyy-MM-dd");
+	public static final DateFormat dateformat = new SimpleDateFormat("yyyy-MM-dd"); //$NON-NLS-1$
 	// public static final DateFormat shortUKDateformat = new SimpleDateFormat("dd-MM-yy");
 	
 	private static LinkedHashMap<EngineType, EnginesManager<?>> enginesManagers = new LinkedHashMap<>();
@@ -120,26 +120,26 @@
 	}
 	
 	private static boolean fetchEnginesManagers() {
-		Log.finest("Fetching engines managers...");
+		Log.finest("Fetching engines managers..."); //$NON-NLS-1$
 		enginesManagers.clear();
 		// System.out.println("Contributions of "+EnginesManager.ENGINEMANAGER_EXTENSION_POINT_ID);
 		// Platform.getExtensionRegistry().getExtensionPoints();
 		IConfigurationElement[] contributions = RegistryFactory.getRegistry().getConfigurationElementsFor(EnginesManager.ENGINES_MANAGER_EXTENSION_POINT_ID);
 		// System.out.println("contributions: "+Arrays.toString(contributions));
 		
-		Log.fine(contributions.length + " engines managers found.");
+		Log.fine(contributions.length + " engines managers found."); //$NON-NLS-1$
 		
 		for (int i = 0; i < contributions.length; i++) {
 			try {
 				EnginesManager<?> enginesManager = (EnginesManager<?>) contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
 				
-				Log.fine("Registering " + enginesManager.getEnginesDescription() + " engines manager...");
+				Log.fine("Registering " + enginesManager.getEnginesDescription() + " engines manager..."); //$NON-NLS-1$ //$NON-NLS-2$
 				addEngineManager(enginesManager);
 				if (enginesManager.fetchEngines()) {
-					Log.fine(NLS.bind("{0} {1} engine(s) loaded.", enginesManager.size(), EngineType.TAL));
+					Log.fine(NLS.bind("{0} {1} engine(s) loaded.", enginesManager.size(), EngineType.TAL)); //$NON-NLS-1$
 				}
 				else {
-					Log.fine("No engine found for " + enginesManager + ", installation failed.");
+					Log.fine("No engine found for " + enginesManager + ", installation failed."); //$NON-NLS-1$ //$NON-NLS-2$
 				}
 			}
 			catch (Throwable e) {
@@ -227,7 +227,7 @@
 	 * @throws Exception
 	 */
 	public static boolean initialize(Class preferencesStore) throws Exception {
-		return initialize(preferencesStore, new LogMonitor("initializing Toolbox"));
+		return initialize(preferencesStore, new LogMonitor(TXMCoreMessages.InitializingToolbox));
 	}
 	
 	/**
@@ -242,7 +242,7 @@
 		initializing = true;
 		
 		try {
-			Log.fine("Initializing logger...");
+			Log.fine("Initializing logger..."); //$NON-NLS-1$
 			Log.setLevel(Level.parse(getPreference(TBXPreferences.LOG_LEVEL)));
 			Log.setPrintInConsole(TBXPreferences.getInstance().getBoolean(TBXPreferences.ADD_TECH_LOGS));
 			Log.log_stacktrace_boolean = TBXPreferences.getInstance().getBoolean(TBXPreferences.LOG_STACKTRACE);
@@ -255,7 +255,7 @@
 			}
 		}
 		catch (Exception e) {
-			System.out.println("Error while initializing logger: " + e);
+			System.out.println("Error while initializing logger: " + e); //$NON-NLS-1$
 			e.printStackTrace();
 		}
 		
@@ -293,7 +293,7 @@
 			if (monitor != null && monitor.isCanceled()) return false;
 		}
 		catch (Exception e) {
-			Log.warning("Error while starting engines.");
+			Log.warning(TXMCoreMessages.ErrorWhileStartingEngines);
 			e.printStackTrace();
 			initializing = false;
 			throw e;
@@ -315,15 +315,15 @@
 		// loads and recreate the existing projects, loadParameters() needs engines to be ready
 		if (workspace != null) {
 			workspace.loadProjectsFromProjectScopes(monitor);
-			monitor.subTask("");
+			monitor.subTask(""); //$NON-NLS-1$
 		}
 		else {
-			System.out.println("Error: Toolbox not correctly initialized. Aborting workspace initialization.");
+			System.out.println(TXMCoreMessages.ErrorToolboxIsNotCorrectlyInitializedAborting);
 		}
 		
 		initializing = false;
 		if (monitor != null) {
-			monitor.setTaskName("");
+			monitor.setTaskName(""); //$NON-NLS-1$
 		}
 		return checkState();
 	}
@@ -376,7 +376,7 @@
 				else if (split.length > 2) {
 					String[] subsplit = new String[split.length - 1];
 					System.arraycopy(split, 1, subsplit, 0, split.length - 1);
-					setPreference(split[0], StringUtils.join(subsplit, "="));
+					setPreference(split[0], StringUtils.join(subsplit, "=")); //$NON-NLS-1$
 				}
 				line = input.readLine();
 			}
@@ -438,7 +438,7 @@
 				}
 			}
 			catch (Exception ex) {
-				Log.severe("Exception while installing " + e.getName() + ".");
+				Log.severe(TXMCoreMessages.ExceptionWhileInstallingExtensionIsP0 + e.getName() + "."); //$NON-NLS-2$
 				ex.printStackTrace();
 			}
 		}
@@ -476,7 +476,7 @@
 				}
 			}
 			catch (Exception ex) {
-				Log.severe("Exception while installing " + e.getName() + ".");
+				Log.severe(TXMCoreMessages.ExceptionWhileInstallingExtensionIsP0 + e.getName() + "."); //$NON-NLS-2$
 				ex.printStackTrace();
 			}
 		}
@@ -489,7 +489,7 @@
 	 */
 	private static void removeEngineManager(EnginesManager<?> enginesManager) {
 		enginesManagers.remove(enginesManager.getEnginesType());
-		Log.finest("Engines manager removed: " + enginesManager);
+		Log.finest("Engines manager removed: " + enginesManager); //$NON-NLS-1$
 	}
 	
 	/**
@@ -581,17 +581,17 @@
 		
 		fetchEnginesManagers();
 		
-		Log.finest("Starting engines of the " + enginesManagers.keySet().size() + " engines managers...");
+		Log.finest("Starting engines of the {0}  engines managers..." + enginesManagers.keySet().size() + " engines managers..."); //$NON-NLS-1$ //$NON-NLS-2$
 		
 		boolean result = true;
 		for (EngineType et : enginesManagers.keySet()) {
 			EnginesManager<?> enginesManager = enginesManagers.get(et);
 			try {
-				Log.finest(enginesManager.getClass().getSimpleName() + ": starting " + enginesManager.getEngines().size() + " " + enginesManager.getEnginesDescription() + " engine(s)...");
+				Log.finest(enginesManager.getClass().getSimpleName() + "{0} : starting {1} engine(s)..." + enginesManager.getEngines().size() + " " + enginesManager.getEnginesDescription() + " engine(s)..."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				result = enginesManager.startEngines(monitor) && result; // order is important
 			}
 			catch (Exception e) {
-				Log.severe("Error while starting engines of the " + enginesManager.getEnginesDescription() + " engines manager.");
+				Log.severe(TXMCoreMessages.ErrorWhileStartingEnginesOfTheP0EnginesManager + enginesManager.getEnginesDescription() + " engines manager."); //$NON-NLS-2$
 				e.printStackTrace();
 			}
 		}
@@ -600,7 +600,7 @@
 	
 	public static boolean stopEnginesManagers() {
 		
-		Log.finest("Stopping engines of the " + enginesManagers.keySet().size() + " engines managers...");
+		Log.finest("Stopping engines of the {0}  engines managers..." + enginesManagers.keySet().size() + " engines managers..."); //$NON-NLS-1$ //$NON-NLS-2$
 		
 		if (enginesManagers == null) return true;
 		if (enginesManagers.size() == 0) return true;
@@ -610,7 +610,7 @@
 		ets.addAll(enginesManagers.keySet());
 		for (EngineType et : ets) {
 			EnginesManager<?> enginesManager = enginesManagers.get(et);
-			Log.finest(enginesManager.getClass().getSimpleName() + ": stopping " + enginesManager.getEngines().size() + " " + enginesManager.getEnginesDescription() + " engine(s)...");
+			Log.finest(enginesManager.getClass().getSimpleName() + "{0} : stopping {1}  engine(s)..." + enginesManager.getEngines().size() + " " + enginesManager.getEnginesDescription() + " engine(s)..."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			result = result && enginesManager.stopEngines();
 			removeEngineManager(enginesManager); // remove the engine manager anyway
 		}
@@ -626,28 +626,28 @@
 			return false;
 		}
 		
-		Version currentVersion = BundleUtils.getBundleVersion("org.txm.core");
-		Log.fine(TXMCoreMessages.bind("Current toolbox version: {0}.", currentVersion));
+		Version currentVersion = BundleUtils.getBundleVersion("org.txm.core"); //$NON-NLS-1$
+		Log.fine(TXMCoreMessages.bind("Current toolbox version: {0}.", currentVersion)); //$NON-NLS-1$
 		String installedVersionString = getPreference(TBXPreferences.VERSION);
 		if (installedVersionString.isEmpty()) {
-			installedVersionString = "0.0.0";
+			installedVersionString = "0.0.0"; //$NON-NLS-1$
 		}
 		Version installedVersion = new Version(installedVersionString);
-		Log.fine(TXMCoreMessages.bind("Installed toolbox version: {0}.", installedVersion));
+		Log.fine(TXMCoreMessages.bind("Installed toolbox version: {0}.", installedVersion)); //$NON-NLS-1$
 		try {
 			// System.out.println("Toolbox.startWorkspace(): workspace location = " + location);
 			
 			boolean doUpdateworkspace = currentVersion.compareTo(installedVersion) > 0;
 			
 			if (doUpdateworkspace) { // newer install
-				Log.fine("Updating Toolbox workspace...");
+				Log.fine("Updating Toolbox workspace..."); //$NON-NLS-1$
 				
 				// create or update the workspace & create TXM default.xml workspace file
 				Toolbox.workspace = createOrUpdate(new File(txmhomedir));
 				
 				// test
 				if (Toolbox.workspace == null) {
-					Log.severe("Error: workspace not updated (is null).");
+					Log.severe(TXMCoreMessages.ErrorWorkspaceNotUpdatedIsNull);
 					return false;
 				}
 				setPreference(TBXPreferences.VERSION, currentVersion.toString());
@@ -670,14 +670,14 @@
 				// updating extension files
 				IConfigurationElement[] contributions = Platform.getExtensionRegistry().getConfigurationElementsFor(PostTXMHOMEInstallationStep.EXTENSION_ID);
 				// System.out.println("contributions: "+Arrays.toString(contributions));
-				Log.fine("Installing extensions (" + contributions.length + ")");
+				Log.fine("Installing extensions ({0})" + contributions.length + ")"); //$NON-NLS-1$ //$NON-NLS-2$
 				for (int i = 0; i < contributions.length; i++) {
 					try {
-						Log.fine(TXMCoreMessages.bind("Installing extentions: {0}...", contributions[i].getName()));
+						Log.fine(TXMCoreMessages.bind("Installing extentions: {0}...", contributions[i].getName())); //$NON-NLS-1$
 						PostTXMHOMEInstallationStep extp = (PostTXMHOMEInstallationStep) contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
 						
 						if (!extp.install(workspace)) {
-							Log.severe("Fail to install " + extp.getName() + " files in " + workspace.getLocation());
+							Log.severe(TXMCoreMessages.FailToInstallExtensionP0FilesInP1 + extp.getName() + " files in " + workspace.getLocation()); //$NON-NLS-2$
 						}
 					}
 					catch (CoreException e) {
@@ -784,13 +784,13 @@
 			String path = getInstallDirectory();
 			File installDirectory = new File(path);
 			if (!installDirectory.exists()) {
-				Log.warning("Error: Workspace cannot found install directory: " + installDirectory.getAbsolutePath());
+				Log.warning("Error: Workspace cannot found install directory: " + installDirectory.getAbsolutePath()); //$NON-NLS-1$
 				return null;
 			}
 			
-			File redistDirectory = new File(installDirectory, "redist");
+			File redistDirectory = new File(installDirectory, "redist"); //$NON-NLS-1$
 			if (!redistDirectory.exists()) {
-				Log.warning("Warning: Workspace cannot found redist directory: " + redistDirectory.getAbsolutePath());
+				Log.warning(TXMCoreMessages.WarningWorkspaceCannotFoundTheRedistDirectoryP0 + redistDirectory.getAbsolutePath());
 			}
 			else {
 				FileCopy.copyFiles(redistDirectory, txmhomedir);
@@ -827,7 +827,7 @@
 	 * @param state
 	 */
 	public static void notifyEngines(TXMResult r, String state) {
-		Log.fine("Toolbox.notifyEngines " + r + " -> " + state);
+		Log.fine("Toolbox.notifyEngines {0} -> {1}" + r + " -> " + state); //$NON-NLS-1$ //$NON-NLS-2$
 		for (EnginesManager<?> em : enginesManagers.values()) {
 			if (em == null) continue;
 			for (Engine e : em.getEngines().values()) {
@@ -851,10 +851,10 @@
 		StringBuilder builder = new StringBuilder();
 		
 		IWorkspace rcpWorkspace = ResourcesPlugin.getWorkspace();
-		IProject corporaDirectory = rcpWorkspace.getRoot().getProject("corpora");
+		IProject corporaDirectory = rcpWorkspace.getRoot().getProject("corpora"); //$NON-NLS-1$
 		
 		if (!corporaDirectory.exists()) {
-			builder.append("No 'corpora' not found in workspace.");
+			builder.append("No 'corpora' not found in workspace."); //$NON-NLS-1$
 			return;
 		}
 		IProject projects[] = rcpWorkspace.getRoot().getProjects();
@@ -867,69 +867,69 @@
 			String s2 = corporaDirectory.getLocationURI().toString();
 			
 			if (!s1.startsWith(s2)) {
-				builder.append("RCP Project: "+rcpProject.getName()+" not in the corpora.\n\n");
+				builder.append("RCP Project: {0}  not in the corpora.\n\n"+rcpProject.getName()+" not in the corpora.\n\n"); //$NON-NLS-1$ //$NON-NLS-2$
 				continue;
 			}
 			
 			org.txm.objects.Project project = Toolbox.workspace.getProject(rcpProject.getName().toUpperCase());
 			
 			if (project == null) {
-				builder.append("Corpus Project: "+rcpProject.getName()+" not found.\n\n");
+				builder.append("Corpus Project: {0}  not found.\n\n"+rcpProject.getName()+" not found.\n\n"); //$NON-NLS-1$ //$NON-NLS-2$
 				continue;
 			}
 			
 			CorpusBuild corpus = project.getCorpusBuild(project.getName().toUpperCase());
 			if (corpus == null) {
-				builder.append(" no CQP corpus with name: "+project.getName().toUpperCase());
-				builder.append("  the import was not done or failed");
-				builder.append("\n");
+				builder.append(" no CQP corpus with name: {0}."+project.getName().toUpperCase()); //$NON-NLS-1$
+				builder.append("\n  the import was not done or failed"); //$NON-NLS-1$
+				builder.append("\n"); //$NON-NLS-1$
 				continue;
 			}
 			
 			List<?> errors = corpus.isBuildValid();
 			if (errors != null && errors.size() > 0) {
-				builder.append(" corpus built failed with file errors: "+errors);
-				builder.append("  the import or update failed");
-				builder.append("\n");
+				builder.append(" corpus built failed with file errors: {0}"+errors); //$NON-NLS-1$
+				builder.append("\n  the import or update failed"); //$NON-NLS-1$
+				builder.append("\n"); //$NON-NLS-1$
 			}
 			
 			String error = corpus.isReady();
 			if (error != null && error.length() > 0) {
-				builder.append(" corpus is not ready: "+error);
-				builder.append("  the import or update failed");
-				builder.append("\n");
+				builder.append(" corpus is not ready: {0}"+error); //$NON-NLS-1$
+				builder.append("\n  the import or update failed"); //$NON-NLS-1$
+				builder.append("\n"); //$NON-NLS-1$
 			}
 	
 			if (Log.getLevel().intValue() < Level.INFO.intValue()) { // print more details if log level is lower than INFO
 				
-				builder.append("Project: "+project.getName()+" at "+project.getProjectDirectory());
-				builder.append("\n");
-				builder.append(" creation: "+project.getCreationDate());
-				builder.append("\n");
-				builder.append(" update: "+project.getLastComputingDate());
-				builder.append("\n");
-				builder.append(" 'default' edition: "+project.getEditionDefinition("default"));
-				builder.append("\n");
-				builder.append(" 'facs' edition: "+project.getEditionDefinition("facs"));
-				builder.append("\n");
-				builder.append(" 'preferences': "+TXMPreferences.dumpToString(project.getParametersNodePath()));
-				builder.append("\n");
+				builder.append("Project: "+project.getName()+" at "+project.getProjectDirectory()); //$NON-NLS-1$ //$NON-NLS-2$
+				builder.append("\n"); //$NON-NLS-1$
+				builder.append(" creation: "+project.getCreationDate()); //$NON-NLS-1$
+				builder.append("\n"); //$NON-NLS-1$
+				builder.append(" update: "+project.getLastComputingDate()); //$NON-NLS-1$
+				builder.append("\n"); //$NON-NLS-1$
+				builder.append(" 'default' edition: "+project.getEditionDefinition("default")); //$NON-NLS-1$ //$NON-NLS-2$
+				builder.append("\n"); //$NON-NLS-1$
+				builder.append(" 'facs' edition: "+project.getEditionDefinition("facs")); //$NON-NLS-1$ //$NON-NLS-2$
+				builder.append("\n"); //$NON-NLS-1$
+				builder.append(" 'preferences': "+TXMPreferences.dumpToString(project.getParametersNodePath())); //$NON-NLS-1$
+				builder.append("\n"); //$NON-NLS-1$
 				
-				builder.append(" Results: ");
-				builder.append("\n");
+				builder.append(" Results: "); //$NON-NLS-1$
+				builder.append("\n"); //$NON-NLS-1$
 				for (TXMResult result : project.getDeepChildren()) {
-					builder.append("  "+result.getName()+" ("+result.getResultType()+"): "+result.getSimpleDetails());
-					builder.append("\n");
-					builder.append("  'preferences': "+TXMPreferences.dumpToString(result.getParametersNodePath()));
-					builder.append("\n");
+					builder.append("  "+result.getName()+" ("+result.getResultType()+"): "+result.getSimpleDetails()); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+					builder.append("\n"); //$NON-NLS-1$
+					builder.append("  'preferences': "+TXMPreferences.dumpToString(result.getParametersNodePath())); //$NON-NLS-1$
+					builder.append("\n"); //$NON-NLS-1$
 				}
-				builder.append("\n");
+				builder.append("\n"); //$NON-NLS-1$
 			}
 		}
 		
 		if (builder.length() > 0) {
 			IOUtils.write(checkupResultFile, builder.toString());
-			Log.warning(NLS.bind("TXM was not correctly closed, see the report in the ''{0}'' file", checkupResultFile.getAbsolutePath()));
+			Log.warning(NLS.bind(TXMCoreMessages.TXMWasNotCorrectlyClosedSeeTheP0ReportFile, checkupResultFile.getAbsolutePath()));
 		}
 	}
 }
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/PostInstallationStep.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/PostInstallationStep.java	(revision 3824)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/PostInstallationStep.java	(revision 3825)
@@ -14,11 +14,11 @@
 	
 	public void install()
 	{
-		System.out.println("Installing "+name+"...");
+		System.out.println("Installing "+name+"..."); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
 	public void preInstall()
 	{
-		System.out.println("Pre-Installing "+name+"...");
+		System.out.println("Pre-Installing "+name+"..."); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 }
